Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application
Class GlobalResourcesViewHandler

    java.lang.Object
      javax.faces.application.ViewHandler
          javax.faces.application.ViewHandlerWrapper
              org.richfaces.application.GlobalResourcesViewHandler

All Implemented Interfaces:
  javax.faces.FacesWrapper<javax.faces.application.ViewHandler>

    public class GlobalResourcesViewHandler

extends javax.faces.application.ViewHandlerWrapper

Author:
  Nick Belaevski

Field Summary

Fields inherited from class javax.faces.application.ViewHandler
`CHARACTER_ENCODING_KEY, DEFAULT_FACELETS_SUFFIX, DEFAULT_SUFFIX, DEFAULT_SUFFIX_PARAM_NAME, FACELETS_SUFFIX_PARAM_NAME, FACELETS_VIEW_MAPPINGS_PARAM_NAME`

Constructor Summary
`GlobalResourcesViewHandler(javax.faces.application.ViewHandler viewHandler)`

Method Summary
`javax.faces.component.UIViewRoot` | `createView(javax.faces.context.FacesContext context, java.lang.String viewId)`
`javax.faces.application.ViewHandler` | `getWrapped()`

Methods inherited from class javax.faces.application.ViewHandlerWrapper
`calculateCharacterEncoding, calculateLocale, calculateRenderKitId, deriveViewId, getActionURL, getBookmarkableURL, getRedirectURL, getResourceURL, getViewDeclarationLanguage, initView, renderView, restoreView, writeState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalResourcesViewHandler

    public GlobalResourcesViewHandler(javax.faces.application.ViewHandler viewHandler)

Method Detail

### getWrapped

    public javax.faces.application.ViewHandler getWrapped()

  Specified by:
    `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.application.ViewHandler>`
  Overrides:
    `getWrapped` in class `javax.faces.application.ViewHandlerWrapper`

### createView

    public javax.faces.component.UIViewRoot createView(javax.faces.context.FacesContext context,
                                                       java.lang.String viewId)

  Overrides:
    `createView` in class `javax.faces.application.ViewHandlerWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.